## era 2.8.1-16

=== debian/changelog ===
era (2.8.1-16) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [bc2cfe9] ajout des règles de firewall pour autoriser la connexion à NTP (ref #32543)
  * [fb8995a] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [be9151c] Emmanuel Garette: Update package since “debian/eole/2.8.1-15”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 21 May 2021 16:49:20 +0200

era (2.8.1-15) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [9a41675] considérer les ip comme des strings (ref #32507)
  * [41e1a3b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [30d0d92] Emmanuel Garette: Update package since “debian/eole/2.8.1-14”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 14 May 2021 16:36:56 +0200

era (2.8.1-14) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [9fd7a94] Access to saltproject.io without authentication
  * [9ba9c22] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [7e6e42c] Joël Cuissinat: Update package since “debian/eole/2.8.1-13”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 26 Mar 2021 12:28:28 +0100

era (2.8.1-13) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [aa84416] autoriser l'accès à repo.saltstack.com sans authentification (ref #31555)
  * [bf54500] Merge branch '2.8.0/master'
  * [15640ab] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [70fbea3] Emmanuel Garette: Update package since “debian/eole/2.8.1-12”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 28 Jan 2021 11:30:32 +0100

era (2.8.1-12) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [dbb36d4] deplacement de proxy_domain_reader dans creole (ref #31558)
  * [41d3b2f] deplacement de proxy_domain_reader dans creole (ref #31558)
  * [744c763] Merge branch '2.7.0/master' into 2.7.1/master
  * [a8ca7f7] Merge branch '2.7.1/master' into 2.7.2/master
  * [3320b38] Merge branch '2.7.2/master' into 2.8.0/master
  * [f704c5a] Merge branch '2.8.0/master'
  * [a7dc63b] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [a6d8d94] Emmanuel Garette: Update package since “debian/eole/2.8.1-11”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 21 Jan 2021 16:41:07 +0100

era (2.8.1-11) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [52329d9] ajout de la fonction dans le paquet eole-era 2.8.1 (ref #31502)

  [ EOLE Build Daemon ]
  * [531d3a3] Emmanuel Garette: Update package since “debian/eole/2.8.1-10”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 14 Jan 2021 10:30:18 +0100

era (2.8.1-10) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [7c9c907] packaging 2.8.1 (ref #31525)
  * [a0c9a55] Merge branch '2.7.1/master' into 2.7.2/master
  * [629f59e] prendre en compte la nouvelle variable dans era (ref #31502)
  * [061f24d] prise en compte des informations après téléchargement du fichier (ref #31502)
  * [24fa026] deplacement des variables dans gen_config (ref #31502)
  * [34e265e] intégrer le script de mise à jour des exceptions à schedule (ref #31525)
  * [5687eb4] déplacement du script schedule au bon endroit et mise à jour de eole.mk (ref #31525)
  * [ff4d26f] Merge branch '2.7.0/master' into 2.7.1/master
  * [2b5871b] Merge branch '2.7.1/master' into 2.7.2/master
  * [18cdb72] Merge branch '2.7.2/master' into 2.8.0/master
  * [e5cca05] Merge branch '2.8.0/master'
  * [795d35e] Merge branch 'master' into dist/eole/2.8.1/master

  [ Joël Cuissinat ]
  * [12b4576] Merge branch '2.7.1/master' into 2.7.2/master
  * [61108fc] Merge branch 'bugfix/28738-nat-log-dport' into 2.7.0/master

  [ Matthieu Lamalle ]
  * [db48a87] ajout gestion d'une liste d'exceptions de domaines ref #31450 #31451

  [ EOLE Build Daemon ]
  * [a34385c] Emmanuel Garette: Update package since “debian/eole/2.8.1-9”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 13 Jan 2021 13:49:04 +0100

era (2.8.1-9) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [c624819] ajout des regles ping pour l'intégration au domaine (ref #30915)
  * [f9d080f] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [dc50f2f] Emmanuel Garette: Update package since “debian/eole/2.8.1-8”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 30 Oct 2020 16:02:12 +0100

era (2.8.1-8) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [2523b3c] correction du protocole de kerberos udp (ref #30915)
  * [162c7a5] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [db3d406] Emmanuel Garette: Update package since “debian/eole/2.8.1-7”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 30 Oct 2020 15:44:38 +0100

era (2.8.1-7) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [bcef251] ajout des autorisations salt (ref #30915)
  * [ddaaa41] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [1b11696] Emmanuel Garette: Update package since “debian/eole/2.8.1-6”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 30 Oct 2020 14:07:51 +0100

era (2.8.1-6) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [afb861c] is => == (ref #30746)
  * [e0a4531] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [6ff58de] Emmanuel Garette: Update package since “debian/eole/2.8.1-5”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 16 Oct 2020 14:46:00 +0200

era (2.8.1-5) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [b53a715] tcpwrapper pour le service ldaps (ref #30773)
  * [5f1b26f] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [738959b] Emmanuel Garette: Update package since “debian/eole/2.8.1-4”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 16 Oct 2020 11:41:27 +0200

era (2.8.1-4) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [813218f] ajout des paquets python2 pour les tests (ref #30746)


## era 2.8.1-29

=== Makefile ===
################################
# Makefile pour era
################################

SOURCE=era
VERSION=2.8
EOLE_VERSION=2.8
EOLE_RELEASE=2.8.1
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
era (2.8.1-29) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [ec8f146] Access to "linuxmint.com" without authentication
  * [d38b55d] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [a76e7e0] Joël Cuissinat: Update package since “debian/eole/2.8.1-28”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Apr 2025 14:38:00 +0200

era (2.8.1-28) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [9fc037e] Access to "debian.org" without authentication
  * [03222bc] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [97720bc] Joël Cuissinat: Update package since “debian/eole/2.8.1-27”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 14 Nov 2024 11:10:42 +0100

era (2.8.1-27) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [a7251f1] Merge branch '2.5.2/22486-no_auth_default_clamav_mirror' into 2.6.2/master

  [ Joël Cuissinat ]
  * [1ae8a6f] Merge branch '2.6.1/23979-era-debug-msg' into 2.6.2/master
  * [f3170b7] Merge branch 'bugfix/28738-nat-log-dport' into 2.6.2/master
  * [a576a0f] Ajout du domaine apps.education.fr à la liste des destinations à ne pas authentifier
  * [af81ccd] Merge branch '2.7.0/master' into 2.7.1/master
  * [d195626] Merge branch '2.7.1/master' into 2.7.2/master
  * [d9e718d] Merge branch '2.7.2/master' into 2.8.0/master
  * [14c1508] Merge branch '2.8.0/master' into 2.8.1/master
  * [0b272ce] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ Matthieu Lamalle ]
  * [4789d61] ajout gestion d'une liste d'exceptions de domaines ref #31450 #31451

  [ Emmanuel Garette ]
  * [20154ff] prendre en compte la nouvelle variable dans era (ref #31502)
  * [35a8f4e] prise en compte des informations après téléchargement du fichier (ref #31502)
  * [62fe35f] deplacement des variables dans gen_config (ref #31502)
  * [280106d] intégrer le script de mise à jour des exceptions à schedule (ref #31525)
  * [14167dd] déplacement du script schedule au bon endroit et mise à jour de eole.mk (ref #31525)
  * [0a391b6] deplacement de proxy_domain_reader dans creole (ref #31558)
  * [63309a1] Merge branch '2.6.2/master' into 2.7.0/master

  [ EOLE Build Daemon ]
  * [1597976] Joël Cuissinat: Update package since “debian/eole/2.8.1-26”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 01 Jul 2024 14:25:50 +0200

era (2.8.1-26) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [be9164b] Access to "snapcraft" without authentication
  * [8eff321] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3ca527c] Joël Cuissinat: Update package since “debian/eole/2.8.1-25”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 27 Oct 2022 12:34:44 +0200

era (2.8.1-25) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [3a3bb32] Correction crash ERA avec les services addc ou addc_tcp
  * [5e3a6e6] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [31bc61d] Joël Cuissinat: Update package since “debian/eole/2.8.1-24”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 22 Sep 2022 14:41:35 +0200

era (2.8.1-24) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [97d01dc] Access to hub.eole.education without authentication
  * [c33c9b7] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ba57c49] Joël Cuissinat: Update package since “debian/eole/2.8.1-23”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 15 Apr 2022 16:59:51 +0200

era (2.8.1-23) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [4d8a4f1] changement de libellé IP => Nom de domaine (ref #33630)
  * [31b175e] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [00b34b8] Emmanuel Garette: Update package since “debian/eole/2.8.1-22”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 06 Jan 2022 16:11:59 +0100

era (2.8.1-22) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [4f081e3] changement de libellé IP => Nom de domaine (ref #33630)
  * [bf4e5f3] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [db49d1c] Emmanuel Garette: Update package since “debian/eole/2.8.1-21”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 06 Jan 2022 10:30:27 +0100

era (2.8.1-21) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [2d7f9bc] era doit pouvoir envoyer et recevoir les fichiers depuis Zéphir (ref #33606)
  * [5660347] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [322573c] Emmanuel Garette: Update package since “debian/eole/2.8.1-20”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 04 Jan 2022 17:42:19 +0100

era (2.8.1-20) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [c7d5c41] fix (ref #33403)
  * [f862a8d] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [528109e] Emmanuel Garette: Update package since “debian/eole/2.8.1-19”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 19 Nov 2021 14:19:12 +0100

era (2.8.1-19) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [4366072] suppression doublon (ref #33403)
  * [4ad4843] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [d752464] Emmanuel Garette: Update package since “debian/eole/2.8.1-18”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 18 Nov 2021 12:23:13 +0100

era (2.8.1-18) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [23691cf] interdire l'accès et non l'autoriser (ref #33403)
  * [e99e276] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [a667475] Emmanuel Garette: Update package since “debian/eole/2.8.1-17”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 16 Nov 2021 12:15:06 +0100

era (2.8.1-17) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]


## era 2.9.0-19

=== debian/changelog ===
era (2.9.0-19) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [be9164b] Access to "snapcraft" without authentication
  * [5922b72] Merge branch '2.8.1/master'
  * [018d70f] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [fbf22ff] Joël Cuissinat: Update package since “debian/eole/2.9.0-18”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 27 Oct 2022 12:35:26 +0200

era (2.9.0-18) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [c904578] Valeur par défaut si le fichier de variables n’existe pas.
  * [4bb0be2] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e90786b] Benjamin Bohard: Update package since “debian/eole/2.9.0-17”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 11 Oct 2022 15:52:19 +0200

era (2.9.0-17) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [d59d693] Remove containerization from era Redmine project
  * [3618cb4] Remove containerization from era Makefile
  * [47fb2c7] Merge branch 'master' into dist/eole/2.9.0/master
  * [65d419d] Remove containerization from era packaging

  [ Benjamin Bohard ]
  * [234e511] Lire le tag d’image dans un fichier de configuration.
  * [8fdbd12] Merge branch 'scenario/34617'
  * [4bfb649] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [dee7d5e] Benjamin Bohard: Update package since “debian/eole/2.9.0-16”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 11 Oct 2022 12:30:34 +0200

era (2.9.0-16) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [3a3bb32] Correction crash ERA avec les services addc ou addc_tcp
  * [940a1ea] Merge branch '2.8.1/master'
  * [efd0807] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [af2afa6] Joël Cuissinat: Update package since “debian/eole/2.9.0-15”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 22 Sep 2022 14:49:18 +0200

era (2.9.0-15) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [ba21336] Utiliser l’image de conteneur proposée sur le hub EOLE.
  * [41d0ea6] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [445522e] Benjamin Bohard: Update package since “debian/eole/2.9.0-14”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 21 Sep 2022 11:25:44 +0200

era (2.9.0-14) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [c3a1c28] Monter le répertoire /etc/ssl/certs et le déclarer pour le contexte ssl.
  * [dfb891a] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [a02536a] Benjamin Bohard: Update package since “debian/eole/2.9.0-13”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 20 Sep 2022 12:47:51 +0200

era (2.9.0-13) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [66b3940] Correction du nom de paquet installant l’interface graphique.

  [ EOLE Build Daemon ]
  * [4b97916] Benjamin Bohard: Update package since “debian/eole/2.9.0-12”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 20 Sep 2022 09:49:35 +0200

era (2.9.0-12) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [caff41a] Remise au propre du packaging.
  * [d6359df] Remise au propre du packaging.
  * [2220d3a] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [83af0a2] Benjamin Bohard: Update package since “debian/eole/2.9.0-11”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 20 Sep 2022 09:12:01 +0200

era (2.9.0-11) eole-2.9-unstable; urgency=low

  [ Benjamin Bohard ]
  * [4180921] ERA en conteneur.
  * [e4c3a9a] Installer la partie python2 dans le conteneur seulement.
  * [ef13733] Recette de construction du conteneur pour l’application graphique ERA.
  * [5242e92] Merge branch 'scenario/33745'
  * [062dca6] Merge branch 'master' into dist/eole/2.9.0/master
  * [77441b0] Révision minimale du packaging.
  * [2b179bd] Paquet pour installer la recette du conteneur.
  * [a23f931] Installer xterm utilisé pour le démarrage de ERA en console.

  [ EOLE Build Daemon ]
  * [a3771b3] Benjamin Bohard: Update package since “debian/eole/2.9.0-10”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 19 Sep 2022 16:06:25 +0200

era (2.9.0-10) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [97d01dc] Access to hub.eole.education without authentication
  * [351c2d4] Merge branch '2.8.1/master'
  * [f3db287] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [6fb32d9] Joël Cuissinat: Update package since “debian/eole/2.9.0-9”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 15 Apr 2022 17:00:35 +0200

era (2.9.0-9) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [29f9662] Revert "fix "error: missing file" (ref 33707)"
  * [7dd390d] Merge branch 'master' into dist/eole/2.9.0/master
  * [3192faf] Use debian/not-installed file to avoid dh_missing errors (ref 33707)

  [ EOLE Build Daemon ]
  * [ecfcb16] Joël Cuissinat: Update package since “debian/eole/2.9.0-8”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Sun, 06 Mar 2022 01:43:17 +0100

era (2.9.0-8) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [06de4dd] fix "error: missing file" (ref 33707)
  * [554dcc7] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [26b953c] Joël Cuissinat: Update package since “debian/eole/2.9.0-7”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Sun, 06 Mar 2022 01:17:24 +0100

era (2.9.0-7) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [b938447] Update eole-era-tests depends for EOLE 2.9

  [ EOLE Build Daemon ]
  * [dfbce88] Joël Cuissinat: Update package since “debian/eole/2.9.0-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Sun, 06 Mar 2022 01:00:56 +0100

era (2.9.0-6) eole-2.9-unstable; urgency=low

  [ Emmanuel Garette ]
  * [56fb9d1] mise à jour compat (ref #33890)
  * [f71f912] supprimer l'utilisation de variable cntlm (ref #33890)
  * [4ffc9a8] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]


## era 2.9.0-20

=== debian/changelog ===
era (2.9.0-20) eole-2.9.0-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [e1bee82] Autoriser les conteneur à communiquer entre eux (ref #35087)
  * [6937227] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [558a8fa] Philippe Caseiro: Update package since “debian/eole/2.9.0-19”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Fri, 25 Nov 2022 15:32:24 +0100

## era 2.9.0-28

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=era
-VERSION=2.8
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+VERSION=2.9
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
era (2.9.0-28) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [b7d11bf] Ajuster l’affichage du widget pour les ipsets.
  * [2d4d004] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [4042665] Benjamin Bohard: Update package since “debian/eole/2.9.0-27”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 16 Apr 2025 12:11:27 +0200

era (2.9.0-27) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [ec8f146] Access to "linuxmint.com" without authentication
  * [a91c3a8] Merge branch '2.8.1/master' into 2.9.0/master
  * [051ca68] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [d40f6e1] Joël Cuissinat: Update package since “debian/eole/2.9.0-26”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Apr 2025 14:39:00 +0200

era (2.9.0-26) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [9fc037e] Access to "debian.org" without authentication
  * [5129c17] Merge branch '2.8.1/master' into 2.9.0/master
  * [b968c25] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e5b036b] Joël Cuissinat: Update package since “debian/eole/2.9.0-25”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 14 Nov 2024 11:11:25 +0100

era (2.9.0-25) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [186c98a] Récupérer le niveau de configuration avant modification pour pouvoir la rétablir.
  * [4135579] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [092ff0b] Benjamin Bohard: Update package since “debian/eole/2.9.0-24”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 29 Oct 2024 11:40:56 +0100

era (2.9.0-24) eole-2.9.0-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [fa80d35] Optimisation du changement de resolveur DNS pour les ipsets
  * [0795502] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [045a452] Laurent Gourvénec: Update package since “debian/eole/2.9.0-23”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 27 Aug 2024 12:12:55 +0200

era (2.9.0-23) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [eea97e0] Utiliser le resolver DNS local pour résoudre les ipsets.
  * [c667afe] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [99ca619] Benjamin Bohard: Update package since “debian/eole/2.9.0-22”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 23 Jul 2024 15:28:21 +0200

era (2.9.0-22) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [a7251f1] Merge branch '2.5.2/22486-no_auth_default_clamav_mirror' into 2.6.2/master

  [ Joël Cuissinat ]
  * [1ae8a6f] Merge branch '2.6.1/23979-era-debug-msg' into 2.6.2/master
  * [f3170b7] Merge branch 'bugfix/28738-nat-log-dport' into 2.6.2/master
  * [a576a0f] Ajout du domaine apps.education.fr à la liste des destinations à ne pas authentifier
  * [af81ccd] Merge branch '2.7.0/master' into 2.7.1/master
  * [d195626] Merge branch '2.7.1/master' into 2.7.2/master
  * [d9e718d] Merge branch '2.7.2/master' into 2.8.0/master
  * [14c1508] Merge branch '2.8.0/master' into 2.8.1/master
  * [3e2f1c7] Merge branch '2.8.1/master' into 2.9.0/master
  * [6f36f34] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ Matthieu Lamalle ]
  * [4789d61] ajout gestion d'une liste d'exceptions de domaines ref #31450 #31451

  [ Emmanuel Garette ]
  * [20154ff] prendre en compte la nouvelle variable dans era (ref #31502)
  * [35a8f4e] prise en compte des informations après téléchargement du fichier (ref #31502)
  * [62fe35f] deplacement des variables dans gen_config (ref #31502)
  * [280106d] intégrer le script de mise à jour des exceptions à schedule (ref #31525)
  * [14167dd] déplacement du script schedule au bon endroit et mise à jour de eole.mk (ref #31525)
  * [0a391b6] deplacement de proxy_domain_reader dans creole (ref #31558)
  * [63309a1] Merge branch '2.6.2/master' into 2.7.0/master

  [ EOLE Build Daemon ]
  * [64c34c0] Joël Cuissinat: Update package since “debian/eole/2.9.0-21”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 01 Jul 2024 14:26:43 +0200

era (2.9.0-21) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [d1adf88] fix era display in console mode
  * [03d65fc] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [b30b1eb] Joël Cuissinat: Update package since “debian/eole/2.9.0-20”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 03 May 2023 11:35:15 +0200

=== debian/control ===
Source: era
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 13),
               python,
               python-all-dev
Standards-Version: 4.6.0
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/era
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/era/repository

Package: era
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, hicolor-icon-theme,
         era-backend, python-gtk2, python-glade2
Description: Editeur de règles pour amon (Era)
 Era est un outil GTK permettant de gérer les règles de firewall
 pour les modules Eole.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: era-backend
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ipset
Conflicts: eole-firewall
Replaces: eole-firewall
Description: Backend de Editeur de règles pour amon (Era)
 Era est un outil GTK permettant de gérer les règles de firewall
 pour les modules Eole.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: era-tests
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         era-backend,
         python3-pytest,
         python3-lxml
Description: Tests unitaires pour le backend Era
 Era est un outil GTK permettant de gerer les règles de firewall
 pour les modules Eole.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: era-doc
Architecture: all
Depends: ${misc:Depends},
Description: Documentation Era
 Era est un outil GTK permettant de gérer les règles de firewall
 pour les modules Eole.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-era
Architecture: all
Depends: ${misc:Depends},
         eole-proxy-bypass,
         era-backend,
	 eole-podman,
	 xterm
Description: Configuration EOLE pour Era
 Era est un outil GTK permettant de gérer les règles de firewall
 pour les modules Eole.
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-proxy-bypass
Architecture: all
Depends: ${misc:Depends}
Description: Configuration EOLE pour les exceptions de proxy
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## era 2.10.0-15

=== debian/changelog ===
era (2.10.0-15) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [ec8f146] Access to "linuxmint.com" without authentication
  * [a91c3a8] Merge branch '2.8.1/master' into 2.9.0/master
  * [6b0814a] Merge branch '2.9.0/master'
  * [84a0e41] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [57d867e] Joël Cuissinat: Update package since “debian/eole/2.10.0-14”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Apr 2025 15:06:58 +0200

era (2.10.0-14) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [9fc037e] Access to "debian.org" without authentication
  * [5129c17] Merge branch '2.8.1/master' into 2.9.0/master
  * [211b8ec] Merge branch '2.9.0/master'
  * [818ecea] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [12f82be] Joël Cuissinat: Update package since “debian/eole/2.10.0-13”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 14 Nov 2024 11:12:19 +0100

era (2.10.0-13) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [186c98a] Récupérer le niveau de configuration avant modification pour pouvoir la rétablir.
  * [c099adb] Merge branch '2.9.0/master'
  * [2ab4976] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [12873a9] Benjamin Bohard: Update package since “debian/eole/2.10.0-12”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 29 Oct 2024 11:42:25 +0100

era (2.10.0-12) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [fa80d35] Optimisation du changement de resolveur DNS pour les ipsets
  * [e535a84] Merge branch '2.9.0/master'
  * [87a4c0f] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [4fd443d] Laurent Gourvénec: Update package since “debian/eole/2.10.0-11”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 27 Aug 2024 12:13:20 +0200

era (2.10.0-11) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [eea97e0] Utiliser le resolver DNS local pour résoudre les ipsets.
  * [29dbe9c] Merge branch '2.9.0/master'
  * [80a5a9d] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [b01cef6] Benjamin Bohard: Update package since “debian/eole/2.10.0-10”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 23 Jul 2024 15:27:56 +0200

era (2.10.0-10) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [a7251f1] Merge branch '2.5.2/22486-no_auth_default_clamav_mirror' into 2.6.2/master

  [ Joël Cuissinat ]
  * [1ae8a6f] Merge branch '2.6.1/23979-era-debug-msg' into 2.6.2/master
  * [f3170b7] Merge branch 'bugfix/28738-nat-log-dport' into 2.6.2/master
  * [a576a0f] Ajout du domaine apps.education.fr à la liste des destinations à ne pas authentifier
  * [af81ccd] Merge branch '2.7.0/master' into 2.7.1/master
  * [d195626] Merge branch '2.7.1/master' into 2.7.2/master
  * [d9e718d] Merge branch '2.7.2/master' into 2.8.0/master
  * [14c1508] Merge branch '2.8.0/master' into 2.8.1/master
  * [3e2f1c7] Merge branch '2.8.1/master' into 2.9.0/master
  * [ebe156f] Merge branch '2.9.0/master'
  * [5931276] Merge branch 'master' into dist/eole/2.10.0/master

  [ Matthieu Lamalle ]
  * [4789d61] ajout gestion d'une liste d'exceptions de domaines ref #31450 #31451

  [ Emmanuel Garette ]
  * [20154ff] prendre en compte la nouvelle variable dans era (ref #31502)
  * [35a8f4e] prise en compte des informations après téléchargement du fichier (ref #31502)
  * [62fe35f] deplacement des variables dans gen_config (ref #31502)
  * [280106d] intégrer le script de mise à jour des exceptions à schedule (ref #31525)
  * [14167dd] déplacement du script schedule au bon endroit et mise à jour de eole.mk (ref #31525)
  * [0a391b6] deplacement de proxy_domain_reader dans creole (ref #31558)
  * [63309a1] Merge branch '2.6.2/master' into 2.7.0/master

  [ EOLE Build Daemon ]
  * [c227904] Joël Cuissinat: Update package since “debian/eole/2.10.0-9”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 01 Jul 2024 14:27:37 +0200

era (2.10.0-9) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [59e9c4b] Ajout de commentaires liés au suivi de connexions par netfilter
  * [b9d5462] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [9fa15b6] Laurent Gourvénec: Update package since “debian/eole/2.10.0-8”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 26 Jun 2024 11:47:32 +0200

era (2.10.0-8) eole-2.10-unstable; urgency=low

  [ Laurent Gourvénec ]
  * [dcfba8d] Suppression de l'usage de nf_conntrack_helper
  * [54839a3] Renommage des modules ip_* en nf_*
  * [3904826] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [4476785] Laurent Gourvénec: Update package since “debian/eole/2.10.0-7”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Wed, 26 Jun 2024 11:35:29 +0200

era (2.10.0-7) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [290baed] Mise à jour de la syntaxe pour les exceptions.
  * [50707c4] Tester la présence d’une clé de dictionnaire avec in.
  * [10aa2e7] Ne pas utiliser le caractère \ pour de l’ascii art.
  * [70777c1] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [c5af614] Benjamin Bohard: Update package since “debian/eole/2.10.0-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 13 Jun 2024 10:06:22 +0200

era (2.10.0-6) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [bbf50ec] Utiliser les dates avec fuseau horaire explicite.
  * [04520c9] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [66ed38a] Benjamin Bohard: Update package since “debian/eole/2.10.0-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 13 May 2024 15:51:32 +0200

era (2.10.0-5) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [023c904] Utiliser les raw-string pour les expressions régulières.
  * [89c4f36] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]


## era 2.10.0-16

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=era
-VERSION=2.9
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+VERSION=2.10
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Era.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Era.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Era"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Era"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
era (2.10.0-16) eole-2.10.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [fe44b15] iptables utilisation du 'tracking helpers' pour l'accès FTP (ref #36949)
  * [71f1577] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [c70cf6f] Joël Cuissinat: Update package since “debian/eole/2.10.0-15”

  [ Joël Cuissinat ]

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 21 Jul 2025 09:41:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
 Build-Depends: debhelper (>= 13),
-               python,
-               python-all-dev
+               python3-all
 Standards-Version: 4.6.0
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/era

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_builddeb:

	# Make package compatible with older version

	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_builddeb
